# RunningInDockerContainer

### Description

Determines if the app is running in a Docker Container based on the environment variable QLM\_RUNNING\_IN\_DOCKER\_CONTAINER which should be set during image creation to True.

```csharp
bool RunningInDockerContainer   ()
```

### Return

| Type | Description                                                          |
| ---- | -------------------------------------------------------------------- |
| bool | returns true if the current process is running in a docker container |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmhardware/runningindockercontainer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
